Vulnerability CVE-2008-0785


Published: 2008-02-14   Modified: 2012-02-12

Description:
Multiple SQL injection vulnerabilities in Cacti 0.8.7 before 0.8.7b and 0.8.6 before 0.8.6k allow remote authenticated users to execute arbitrary SQL commands via the (1) graph_list parameter to graph_view.php, (2) leaf_id and id parameters to tree.php, (3) local_graph_id parameter to graph_xport.php, and (4) login_username parameter to index.php/login.

See advisories in our WLB2 database:
Topic
Author
Date
Low
Cacti 0.8.7a Multiple Vulnerabilities
s4tan
15.02.2008

Type:

CWE-89

(Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection'))

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.5/10
6.4/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
Cacti -> Cacti 

 References:
http://lists.opensuse.org/opensuse-security-announce/2008-03/msg00001.html
http://security.gentoo.org/glsa/glsa-200803-18.xml
http://securityreason.com/securityalert/3657
http://www.cacti.net/release_notes_0_8_7b.php
http://www.debian.org/security/2008/dsa-1569
http://www.mandriva.com/security/advisories?name=MDVSA-2008:052
http://www.securityfocus.com/archive/1/488013/100/0/threaded
http://www.securityfocus.com/archive/1/488018/100/0/threaded
http://www.securityfocus.com/bid/27749
http://www.securitytracker.com/id?1019414
http://www.vupen.com/english/advisories/2008/0540
https://bugzilla.redhat.com/show_bug.cgi?id=432758
https://www.redhat.com/archives/fedora-package-announce/2008-February/msg00570.html
https://www.redhat.com/archives/fedora-package-announce/2008-February/msg00593.html

Copyright 2022, cxsecurity.com

 

Back to Top